PATCH Group
curl --request PATCH \
--url https://api.rippling.com/platform/api/groups/{groupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "GroupTest",
"spokeId": "lkjwbfskjsdbllskdb",
"users": [],
"version": "yvmzhfw50hn39aas"
}
'import requests
url = "https://api.rippling.com/platform/api/groups/{groupId}"
payload = {
"name": "GroupTest",
"spokeId": "lkjwbfskjsdbllskdb",
"users": [],
"version": "yvmzhfw50hn39aas"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'GroupTest',
spokeId: 'lkjwbfskjsdbllskdb',
users: [],
version: 'yvmzhfw50hn39aas'
})
};
fetch('https://api.rippling.com/platform/api/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5f397f3b3ca04e478d4575ad",
"spokeId": "lkjwbfskjsdbllskdb",
"name": "GroupTest",
"users": [],
"version": "yvmzhfw50hn39aas"
}F. Groups
PATCH Group
Please note, the Groups endpoint requires an OAuth application (i.e. approved 3rd party partners), as the end point is intended for mapping third-party application “Groups” within Rippling organizations.
Using the PUT method, all of the group fields will be updated, even if the corresponding parameter is missing. If the PATCH method is used, and a param is missing, its value won’t be changed.
PATCH
/
platform
/
api
/
groups
/
{groupId}
PATCH Group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for the group within Rippling.
Body
application/json
Group updates object.